package ru.yandex.autotests.direct.db.beans.UserOptionsModel;//Task: .

import ru.yandex.autotests.httpclientlite.core.request.utils.keyvalue.annotations.SerializeKey;

public class CampaignsSort {
    @SerializeKey("reverse")
    private Integer reverse;

    @SerializeKey("settings_sorted")
    private  String settingsSorted;

    @SerializeKey("sort")
    private String sort;

    public String getSort() {
        return sort;
    }

    public Integer getReverse() {
        return reverse;
    }

    public String getSettingsSorted() {
        return settingsSorted;
    }

    public CampaignsSort withSort(String sort) {
        this.sort = sort;
        return this;
    }

    public CampaignsSort withReverse(Integer reverse) {
        this.reverse = reverse;
        return this;
    }

    public CampaignsSort withSettingsSorted(String settingsSorted) {
        this.settingsSorted = settingsSorted;
        return this;
    }
}
